Perguntas frequentes - A tecnologia de extensões do Firefox está modernizando

O que é uma extensão legada?

Extensões construidas usando frameworks não compatíveis com o Firefox 57 em diante (tal como SDK ou XUL) são consideradas extensões “legadas”.

Como posso saber se tenho alguma extensão legada instalada?

Para ver se você tem extensões imcompatíveis instaladas, vá até o Gerenciador de Extensões (Menu > Extensões, ou digite o endereço “about:addons” em uma nova aba). Se houver alguma extensão legada, você verá um aviso como este no alto da página:

Legacy extension warning

Clique no link “Mostrar extensões legadas” para ver uma lista de extensões legadas instaladas no seu navegador. Clique em “Procurar um substituto” perto de cada extensão legada para uma recomendação de alternativa. Você pode ler mais sobre este recurso em nosso blog.

Se eu ver o rótulo “legado”, significa que minha extensão não funcionará quando eu atualizar para o 57+?

Sim, extensões com rótulo "legado" provavelmente não funcionarão quando você atualizar. Entretanto, a maioria das extensões mais populares do Firefox são compatíveis com o Firefox 57+. Em alguns casos, os desenvolvedores estão trabalhando em atualizar suas extensões para ser compatíveis com a versão atual do Firefox. Nesses casos, a extensão será atualizada automaticamente quando a versão compatível estiver disponível.

Se eu ver o rótulo “legado”, significa que minha extensão não funciona?

Sim, extensões com rótulo "legado" não funcionam no Firefox 57. Em alguns casos, os desenvolvedores precisam continuar trabalhando após a data de lançamento em 14 de novembro de 2017 para tornar suas extensões compatíveis. Nesses casos, a extensão será atualizada automaticamente quando a versão compatível estiver disponível.

Você pode recomendar substituições para minhas extensões legadas?

Sim! Você pode navegar em nossa coleção em destaque que consiste em extensões popularmente usadas, ou pesquisar extensões compatíveis em addons.mozilla.org (AMO).

Alternativamente, você pode usar o utilitário de procura de extensões para procurar as extensões que gostaria de trocar e descobrir substituições recomendadas.

Sim! Vá até o Gerenciador de Extensões (Menu > Extensões, ou digite o endereço about:addons em uma nova aba) e selecione Extensões Legadas. Clique em “Procurar um substituto” perto de cada extensão legada para uma recomendação de alternativa. Você pode ler mais sobre este recurso em nosso blog.

Recomendamos pesquisar extensões compatíveis em addons.mozilla.org (AMO) ou examinar a coleção de extensões em destaque.

Alternativamente, você pode usar o utilitário de procura de extensões para procurar as extensões que gostaria de trocar e descobrir substituições recomendadas.

Não há nenhum substituto recomendado para uma de minhas extensões legadas. E agora?

Se não encontrar uma substituição adequada, recorra ao nosso fórum para pedir sugestões à comunidade.

Como posso encontrar extensões compatíveis com o Firefox 57 em diante?

Você pode pesquisar em addons.mozilla.org para extensões compatíveis. A coleção de extensões em destaque também inclui ótimas extensões compatíveis com o Firefox 57 em diante.

Quando o Firefox ESR irá deixar de suportar extensões legadas?

O Firefox Extended Support Release (ESR) versão 52 é o último que irá suportar extensões legadas. O ESR 52 não será mais mantido a partir de 5 de setembro de 2018.

Em outubro de 2018, todas as extensões legadas serão desativadas no addons.mozilla.org (AMO). Quando isso acontecer, os usuários não conseguirão mais encontrar extensões legadas no AMO.

Se você decidir usar versões não suportadas para usar extensões legadas, ficará vulnerável a falhas de segurança. Recomendamos fortemente que não sejam usadas.

Meus temas deixarão de funcionar no Firefox 57?

Se estiver usando um Tema Leve, não deve sofrer nenhuma perturbação. Se estiver usando um Tema Completo, ele será desativado a partir do Firefox 57 e não funcionará mais. Se usar um tema completo escuro, a opção Tema Escuro no Gerenciador de Extensões pode ser uma boa opção para você. Vá até a aba Temas em about:addons e experimente.

O que aconteceu com meu tema completo?

Temas completos não funcionam no Firefox 57+ e são desativados. Se usava um tema completo escuro, a opção Tema Escuro no Gerenciador de Extensões pode ser uma boa opção para você. Vá até a aba Temas em about:addons e experimente. Estamos aprimorando os temas nos meses seguintes, então procure temas com funcionalidades além da sobreposição de uma imagem em futuras versões.

O que aconteceu com minha extensão relacionada com Flash?

A partir do Firefox 55, o Adobe Flash não funciona por padrão, já que o recurso Clique para executar Flash está embutido no navegador. Você pode escolher como deseja que o Flash se comporte em determinados sites ou em todos os sites.

Algumas da extensões Flash mais populares estavam oferecendo esta capacidade antes dela ser tornar parte do navegador. Uma vez que essas extensões agora estão obsoletas, provavelmente não serão mais mantidas por desenvolvedores e não funcionarão mais.

Em alguns casos, temos APIs WebExtension para capacidades adicionais do Flash (como Flash LSO deletion). Prevemos que as extensões nivelarão mais capacidades do Flash ao longo do tempo, já que trabalhamos juntos para descobrir o que é necessário para criar paridade de recursos.

// Contribuidores que ajudaram a escrever esse artigo:Marcelo Ghelman, Jhonatas Rodrigues . Você também pode ajudar - descubra como.

Este artigo foi útil? Por favor, aguarde...

Contribua com o suporte da Mozilla